## org.red5.server.net.rtmp.message
Class SharedObjectTypeMapping

    java.lang.Object
      org.red5.server.net.rtmp.message.SharedObjectTypeMapping

    public class SharedObjectTypeMapping

extends Object

SO event types mapping

Field Summary
`protected static Logger` `log` Logger
`static ISharedObjectEvent.Type[]` `typeMap` Types map

Constructor Summary
`SharedObjectTypeMapping()`

Method Summary
`static byte` `toByte(ISharedObjectEvent.Type type)` Convert SO event type to byte representation that RTMP uses
`static String` `toString(ISharedObjectEvent.Type type)` String representation of type
`static ISharedObjectEvent.Type` `toType(byte rtmpType)` Convert byte value of RTMP marker to event type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Logger log

  Logger

### typeMap

    public static final ISharedObjectEvent.Type[] typeMap

  Types map

Constructor Detail

### SharedObjectTypeMapping

    public SharedObjectTypeMapping()

Method Detail

### toType

    public static ISharedObjectEvent.Type toType(byte rtmpType)

  Convert byte value of RTMP marker to event type

  Parameters:
    `rtmpType` - RTMP marker value
  Returns:
    Corresponding Shared Object event type

### toByte

    public static byte toByte(ISharedObjectEvent.Type type)

  Convert SO event type to byte representation that RTMP uses

  Parameters:
    `type` - Event type
  Returns:
    Byte representation of given event type

### toString

    public static String toString(ISharedObjectEvent.Type type)

  String representation of type

  Parameters:
    `type` - Type
  Returns:
    String representation of type

Copyright © 2006-2010 The Red5 Project